\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Boost Property Maps

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
CGAL::Dereference_property_map< T > Struct Template Reference
CGAL and Boost Property Maps Reference

`#include <CGAL/property_map.h>`

## Inherits from

put_get_helper< T &, Dereference_property_map< T > >.

## Definition

Property map that converts a `T*` pointer (or in general an iterator over `T` elements) to the `T` object.

Is Model Of:
  `LvaluePropertyMap`

## Public Types
typedef T * | key_type
| typedef to 'T*'
typedef T | value_type
| typedef to 'T'
typedef value_type & | reference
| typedef to 'T&'
typedef boost::lvalue_property_map_tag | category
| `boost::lvalue_property_map_tag`

## Public Member Functions
template<class Iter >
reference | operator[] (Iter it) const
| Access a property map element. More...

## Related Functions
(Note that these are not member functions.)
template<class Iter >
Dereference_property_map < typename CGAL::value_type_traits< Iter > ::type > | make_dereference_property_map (Iter)
| Free function to create a `Dereference_property_map` property map.

## Member Function Documentation

template<typename T >
template<class Iter >

reference CGAL::Dereference_property_map< T >::operator[] | ( | Iter | it) |  | const

Access a property map element.

Template Parameters

  Iter | Type convertible to `key_type`.